> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leadx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download email lookup logs (Excel/CSV)

> Exports the authenticated user's email enrichment logs to an Excel spreadsheet (default) or CSV and downloads it in the browser.



## OpenAPI

````yaml get /v1/emails/logs/export
openapi: 3.1.0
info:
  title: LeadX API
  version: 0.1.0
servers: []
security: []
tags:
  - name: All Attributes
    description: Aggregate and correlate data about companies and their associated records.
  - name: Better Business Bureau
    description: >-
      Retrieve Better Business Bureau (BBB) ratings and accreditation status for
      businesses.
  - name: Companies
    description: Enrich company data by URL, name, address, or phone.
  - name: Contacts
    description: Enrich data about contacts.
  - name: email
    description: Validate company email addresses.
  - name: Google Reviews
    description: Retrieve Google Reviews and ratings for businesses.
  - name: Mobile Number
    description: Enrich mobile phone numbers.
  - name: UCC
    description: Search across to the U.S. Uniform Commercial Code (UCC) lien filings.
paths:
  /v1/emails/logs/export:
    get:
      tags:
        - email
      summary: Download email lookup logs (Excel/CSV)
      description: >-
        Exports the authenticated user's email enrichment logs to an Excel
        spreadsheet (default) or CSV and downloads it in the browser.
      operationId: export_email_logs_v1_emails_logs_export_get
      parameters:
        - name: fmt
          in: query
          required: false
          schema:
            enum:
              - xlsx
              - csv
            type: string
            description: 'Export format: xlsx (default) or csv'
            default: xlsx
            title: Fmt
          description: 'Export format: xlsx (default) or csv'
        - name: tz
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: IANA timezone (e.g., 'America/New_York') to localize created_date
            title: Tz
          description: IANA timezone (e.g., 'America/New_York') to localize created_date
      responses:
        '200':
          description: File download stream
          content:
            application/json:
              schema: {}
            application/vnd.openxmlformats-officedocument.spreadsheetml.sheet: {}
            text/csv: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer

````